orte/mca/pls/bproc/pls_bproc_component.c File Reference.TH "orte/mca/pls/bproc/pls_bproc_component.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/pls/bproc/pls_bproc_component.c \- Takes care of the component stuff for the MCA. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'opal/mca/mca.h'\fP
.br
\fC#include 'opal/mca/base/mca_base_param.h'\fP
.br
\fC#include 'pls_bproc.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_pls_bproc_component_open\fP (void)"
.br
.RI "\fIOpens the pls_bproc component, setting all the needed mca parameters and finishes setting up the component struct. \fP"
.ti -1c
.RI "int \fBorte_pls_bproc_component_close\fP (void)"
.br
.RI "\fICloses the pls_bproc component. \fP"
.ti -1c
.RI "\fBorte_pls_base_module_t\fP * \fBorte_pls_bproc_init\fP (int *priority)"
.br
.RI "\fIInitializes the module. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBorte_pls_bproc_component_t\fP \fBmca_pls_bproc_component\fP"
.br
.RI "\fIThe bproc component data structure used to store all the relevent data about this component. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Takes care of the component stuff for the MCA. 


.SH "Function Documentation"
.PP 
.SS "\fBorte_pls_base_module_t\fP* orte_pls_bproc_init (int * priority)"
.PP
Initializes the module. 
.PP
We do not want to run unless we are the seed, bproc is running, and we are the master node. 
.SH "Variable Documentation"
.PP 
.SS "\fBorte_pls_bproc_component_t\fP \fBmca_pls_bproc_component\fP"
.PP
\fBInitial value:\fP
.PP
.nf
 {
    {
        {
        ORTE_PLS_BASE_VERSION_1_0_0,
        'bproc', 
        ORTE_MAJOR_VERSION,  
        ORTE_MINOR_VERSION,  
        ORTE_RELEASE_VERSION,  
        orte_pls_bproc_component_open,  
        orte_pls_bproc_component_close 
        },
        {
        false 
        },
        orte_pls_bproc_init     
    }
}
.fi
The bproc component data structure used to store all the relevent data about this component. 
.PP
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
